Summary:	ROSA Hardware Probe Tool
Name:		hw-probe
Version:	1.1
Release:	1
Group:		Development/Other
License:	GPLv2+ or LGPLv2+
URL:		https://linux-hardware.org
Source0:	hw-probe-%{version}.tar.gz
Requires:	hwinfo
Requires:	dmidecode
Requires:	pciutils
Requires:	usbutils
Requires:	pnputils
Requires:	smartmontools
Requires:	usermode-consoleonly
Requires:	curl
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%define debug_package %{nil}

%description
A tool to probe for hardware, check its operability and upload result
to the ROSA hardware Database.

%prep
%setup -q -n hw-probe-%{version}
chmod 0644 README

%build
# Nothing to build yet

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}
perl Makefile.pl -install --prefix=%{_prefix} --destdir=%{buildroot}

# consolehelper config
mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_sbindir}/%{name}
ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
cat > %{buildroot}%{_sysconfdir}/pam.d/%{name}  <<EOF
#%PAM-1.0
auth		include		config-util-user
account		include		config-util-user
session		include		config-util-user
EOF

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name} <<EOF
USER=<user>
PROGRAM=/usr/sbin/%{name}
FALLBACK=false
SESSION=true
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%{_sbindir}/%{name}
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}

%changelog

* Wed Sep 28 2016 Andrey Ponomarenko <andrewponomarenko@yandex.ru> 1.1-1
- (b2927bc) Fixed spec file.


